質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.52%

  • Laravel 5

    1882questions

    Laravel 5は、PHPフレームワークLaravelの最新バージョンで、2014年11月に発表予定です。ディレクトリ構造がが現行版より大幅に変更されるほか、メソッドインジェクションやFormRequestの利用が可能になります。

  • Bootstrap

    957questions

    BootstrapはウェブサイトデザインやUIのWebアプリケーションを素早く 作成する可能なCSSフレームワークです。 Twitter風のデザインを作成することができます。

  • npm

    280questions

    npmは、Node Packaged Modulesの略。Node.jsのライブラリ・パッケージを管理できるツールです。様々なモジュールを簡単にインストールでき、自分でモジュールを作成し公開する際にも使用できます。

(laravel5.5) bootstrap4のpadding・marginクラスを使いたいのでversion upを考えているが。。

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 236

kazoogon

score 214

実現したいこと

laravel5.5にてbootstrapを4.0にversion upしたい(paddingとmarginクラスが使えるので)

手順

https://www.technig.com/configure-laravel-5-5-with-bootstrap-4/を参考
①bootstrap4.0をinstallnpm install bootstrap@4.0.0-beta
②sass/app.scss @import "~bootstrap-sass/assets/stylesheets/bootstrap";@import "node_modules/bootstrap/scss/bootstrap";に変更
③js/bootstrap.jsrequire('bootstrap-saas');require('bootstrap');に変更
④npm run productionで全てのjs・cssファイルがpublic/css・jsディレクトリにcompileされる

疑問点

手順はこちらで間違いない(?)と思われますが、参考ページの最後に「If you view your Laravel app, everything is broken」の記載
→正直paddingとmaginのclassが使えたらokと思っているぐらいなので、このclassを直接cssに書いた方が得策なのか??とも思っております

皆さまならどのようにするかの意見を聞いてみたいと思っております
よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

4.0.0-betaではなくすでに4.1が出てるので

"bootstrap": "^4.1.0",


Laravel5.6がbootstrap4に合わせてるのでlaravel/laravelを参考に。
5.5で使うならページネーションの設定も必要。

Laravel側の対応は簡単だけどbootstrap3から4の書き換えのほうが大変。
ほぼ全部のビューを変更することになる。
今後も開発が続くプロジェクトならがんばってやるしかないのでは。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/04/23 01:04

    回答ありがとうございます。
    ということはbootstrap4のpaddingとmarginクラスをbootstrap3に組み込むのがベタなんでしょうか?? 
    それともただ単にそのクラスを書けば良いような単純な話ではないのか。。。??

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.52%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Laravel 5

    1882questions

    Laravel 5は、PHPフレームワークLaravelの最新バージョンで、2014年11月に発表予定です。ディレクトリ構造がが現行版より大幅に変更されるほか、メソッドインジェクションやFormRequestの利用が可能になります。

  • Bootstrap

    957questions

    BootstrapはウェブサイトデザインやUIのWebアプリケーションを素早く 作成する可能なCSSフレームワークです。 Twitter風のデザインを作成することができます。

  • npm

    280questions

    npmは、Node Packaged Modulesの略。Node.jsのライブラリ・パッケージを管理できるツールです。様々なモジュールを簡単にインストールでき、自分でモジュールを作成し公開する際にも使用できます。